Debian Bug report logs - #604410
cyrus-clients-2.3: imtest fails with Dovecot/GSSAPI: invalid response length

Package: cyrus-clients-2.2; Maintainer for cyrus-clients-2.2 is Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>; Source for cyrus-clients-2.2 is src:cyrus-imapd-2.4.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Mon, 29 Oct 2007 14:18:02 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#448499; Package cyrus-clients-2.3. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cyrus-clients-2.3: imtest fails with Dovecot/GSSAPI: invalid response length
Date: Mon, 29 Oct 2007 14:16:26 +0000
[Message part 1 (text/plain, inline)]
Package: cyrus-clients-2.3
Version: 2.3.8-1
Severity: normal
File: /usr/bin/imtest

imtest fails to authenticate against Dovecot using GSSAPI, unless I use 
the -u option.

mutt and evolution work fine, both using STARTTLS and GSSAPI.  Whether I 
use STARTTLS (-t "") has no bearing on whether or not imtest works.  
Note that authentication *does* work if I use -u bmc to specify the 
authorization user ID, but it shouldn't require that, since I'm logged 
into the client machine as bmc.

Client side:
lakeview no % imtest -m GSSAPI castro
S: * OK Dovecot ready.
C: C01 CAPABILITY
S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS STARTTLS LOGINDISABLED AUTH=GSSAPI
S: C01 OK Capability completed.
C: A01 AUTHENTICATE GSSAPI ...
S: + ...
C: 
S: + ...
C: ...
S: A01 NO Authentication failed.
Authentication failed. generic failure
Security strength factor: 0
* LOGOUT
* BYE Logging out
* OK Logout completed.
Connection closed.

lakeview ok % imtest -m GSSAPI -u bmc castro                  
S: * OK Dovecot ready.
C: C01 CAPABILITY
S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS STARTTLS LOGINDISABLED AUTH=GSSAPI
S: C01 OK Capability completed.
C: A01 AUTHENTICATE GSSAPI ...
S: + ...
C: 
S: + ...
C: ...
S: A01 OK Logged in.
Authenticated.
Security strength factor: 0
* LOGOUT
* BYE Logging out
* OK Logout completed.
Connection closed.

lakeview ok % whoami
bmc


Server side:
Oct 29 09:31:28 castro dovecot: auth(default): gssapi(?,::ffff:172.16.2.249): Invalid response length
Oct 29 09:31:35 castro dovecot: imap-login: Aborted login: method=GSSAPI, rip=::ffff:172.16.2.249, lip=::ffff:98.197.197.167, TLS
Oct 29 10:14:21 castro dovecot: imap-login: Login: user=<bmc>, method=GSSAPI, rip=::ffff:172.16.2.249, lip=::ffff:98.197.197.167
Oct 29 10:14:24 castro dovecot: IMAP(bmc): Disconnected: Logged out

Actual data is omitted and replaced with "...", because I'm not sure 
whether any sensitive information is passed.  If no sensitive 
information is passed, or that information can be readily destroyed 
(say, with kdestroy and kinit), then I'm happy to provide a full 
transcript.  If a DD really needs a test account, I'm happy to provide 
one of those, too; simply send me an email with your preferred username.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.23-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cyrus-clients-2.3 depends on:
ii  libc6                    2.6.1-6         GNU C Library: Shared libraries
ii  libdb4.4                 4.4.20-11       Berkeley v4.4 Database Libraries [
ii  libsasl2-2               2.1.22.dfsg1-16 Cyrus SASL - authentication abstra
ii  libssl0.9.8              0.9.8g-1        SSL shared libraries

cyrus-clients-2.3 recommends no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
a typesetting engine: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#448499; Package cyrus-clients-2.3. Full text and rfc822 format available.

Acknowledgement sent to Benjamin Seidenberg <benjamin@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 448499@bugs.debian.org (full text, mbox):

From: Benjamin Seidenberg <benjamin@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 448499@bugs.debian.org, Debian packaging coordination for Cyrus IMAPd <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
Subject: Re: Bug#448499: cyrus-clients-2.3: imtest fails with Dovecot/GSSAPI: invalid response length
Date: Mon, 29 Oct 2007 11:34:17 -0400
[Message part 1 (text/plain, inline)]
severity 448499 minor
thanks

Brian:

This is definitely interesting. It's very difficult to tell what's going
on since the relevant part (what's different) was blacked out. I'd be
interested in what happens if you try -a instead of -u.

Since imtest works fine with -u, and the default is just a matter of
convenience and the failure is trivial to work around, I'm going to drop
the severity of this bug to minor. I don't have much time at the moment
to debug it, but I'll definitely leave the bug open.

Benjamin


brian m. carlson wrote:
> Package: cyrus-clients-2.3
> Version: 2.3.8-1
> Severity: normal
> File: /usr/bin/imtest
>
> imtest fails to authenticate against Dovecot using GSSAPI, unless I
> use the -u option.
>
> mutt and evolution work fine, both using STARTTLS and GSSAPI.  Whether
> I use STARTTLS (-t "") has no bearing on whether or not imtest works. 
> Note that authentication *does* work if I use -u bmc to specify the
> authorization user ID, but it shouldn't require that, since I'm logged
> into the client machine as bmc.
>
> Client side:
> lakeview no % imtest -m GSSAPI castro
> S: * OK Dovecot ready.
> C: C01 CAPABILITY
> S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND
> UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS STARTTLS
> LOGINDISABLED AUTH=GSSAPI
> S: C01 OK Capability completed.
> C: A01 AUTHENTICATE GSSAPI ...
> S: + ...
> C: S: + ...
> C: ...
> S: A01 NO Authentication failed.
> Authentication failed. generic failure
> Security strength factor: 0
> * LOGOUT
> * BYE Logging out
> * OK Logout completed.
> Connection closed.
>
> lakeview ok % imtest -m GSSAPI -u bmc castro                  S: * OK
> Dovecot ready.
> C: C01 CAPABILITY
> S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND
> UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS STARTTLS
> LOGINDISABLED AUTH=GSSAPI
> S: C01 OK Capability completed.
> C: A01 AUTHENTICATE GSSAPI ...
> S: + ...
> C: S: + ...
> C: ...
> S: A01 OK Logged in.
> Authenticated.
> Security strength factor: 0
> * LOGOUT
> * BYE Logging out
> * OK Logout completed.
> Connection closed.
>
> lakeview ok % whoami
> bmc
>
>
> Server side:
> Oct 29 09:31:28 castro dovecot: auth(default):
> gssapi(?,::ffff:172.16.2.249): Invalid response length
> Oct 29 09:31:35 castro dovecot: imap-login: Aborted login:
> method=GSSAPI, rip=::ffff:172.16.2.249, lip=::ffff:98.197.197.167, TLS
> Oct 29 10:14:21 castro dovecot: imap-login: Login: user=<bmc>,
> method=GSSAPI, rip=::ffff:172.16.2.249, lip=::ffff:98.197.197.167
> Oct 29 10:14:24 castro dovecot: IMAP(bmc): Disconnected: Logged out
>
> Actual data is omitted and replaced with "...", because I'm not sure
> whether any sensitive information is passed.  If no sensitive
> information is passed, or that information can be readily destroyed
> (say, with kdestroy and kinit), then I'm happy to provide a full
> transcript.  If a DD really needs a test account, I'm happy to provide
> one of those, too; simply send me an email with your preferred username.
>
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.23-1-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> (ignored: LC_ALL set to en_US.UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> Versions of packages cyrus-clients-2.3 depends on:
> ii  libc6                    2.6.1-6         GNU C Library: Shared
> libraries
> ii  libdb4.4                 4.4.20-11       Berkeley v4.4 Database
> Libraries [
> ii  libsasl2-2               2.1.22.dfsg1-16 Cyrus SASL -
> authentication abstra
> ii  libssl0.9.8              0.9.8g-1        SSL shared libraries
>
> cyrus-clients-2.3 recommends no packages.
>
> -- no debconf information
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Pkg-Cyrus-imapd-Debian-devel mailing list
> Pkg-Cyrus-imapd-Debian-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-cyrus-imapd-debian-devel


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#448499; Package cyrus-clients-2.3. Full text and rfc822 format available.

Acknowledgement sent to Ricardo Ramirez <rram@mit.edu>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 448499@bugs.debian.org (full text, mbox):

From: Ricardo Ramirez <rram@mit.edu>
To: Debian Bug Tracking System <448499@bugs.debian.org>
Subject: Re: Bug#448499: cyrus-clients-2.3: imtest fails with Dovecot/GSSAPI: invalid response length
Date: Thu, 15 May 2008 01:15:35 -0400
Package: cyrus-clients-2.3
Version: 2.2
Followup-For: Bug #448499

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

I can confirm this bug also exists in cyrus-clients-2.2 (current stable).
Running imtest with -a also fails. Both client and server are running Debian etch.

client:
[rram@vinegar-pot ~]$ imtest -s -m GSSAPI the-tech.mit.eduverify
error:num=20:unable to get local issuer certificate
verify error:num=27:certificate not trusted
verify error:num=21:unable to verify the first certificate
TLS connection established: TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits)
S: * OK [CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND
UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS AUTH=PLAIN
AUTH=GSSAPI] Dovecot ready.
C: C01 CAPABILITY
S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND UNSELECT
LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS AUTH=PLAIN AUTH=GSSAPI
S: C01 OK Capability completed.
C: A01 AUTHENTICATE GSSAPI [data redacted]
S: + [data redacted]
C: 
S: + [data redacted]
C: [data redacted]
S: A01 NO Authentication failed.
Authentication failed. generic failure
Security strength factor: 256
C: Q01 LOGOUT
Connection closed.
[rram@vinegar-pot ~]$ imtest -s -m GSSAPI -a rram the-tech.mit.edu
verify error:num=20:unable to get local issuer certificate
verify error:num=27:certificate not trusted
verify error:num=21:unable to verify the first certificate
TLS connection established: TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits)
S: * OK [CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND
UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS AUTH=PLAIN
AUTH=GSSAPI] Dovecot ready.
C: C01 CAPABILITY
S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND UNSELECT
LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS AUTH=PLAIN AUTH=GSSAPI
S: C01 OK Capability completed.
C: A01 AUTHENTICATE GSSAPI [data redacted]
S: + [data redacted]
C: 
S: + [data redacted]
C: [data redacted]
S: A01 NO Authentication failed.
Authentication failed. generic failure
Security strength factor: 256
C: Q01 LOGOUT
Connection closed.
[rram@vinegar-pot ~]$ imtest -s -m GSSAPI -u rram the-tech.mit.edu
verify error:num=20:unable to get local issuer certificate
verify error:num=27:certificate not trusted
verify error:num=21:unable to verify the first certificate
TLS connection established: TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits)
S: * OK [CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND
UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS AUTH=PLAIN
AUTH=GSSAPI] Dovecot ready.
C: C01 CAPABILITY
S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND UNSELECT
LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS AUTH=PLAIN AUTH=GSSAPI
S: C01 OK Capability completed.
C: A01 AUTHENTICATE GSSAPI [data redacted]
S: + [data redacted]
C: 
S: + [data redacted]
C: [data redacted]
S: A01 OK Logged in.
Authenticated.
Security strength factor: 256
C: Q01 LOGOUT
Connection closed.

server:
May 15 01:04:22 the-tech dovecot: auth(default): gssapi(?,18.181.0.51): Invalid
response length
May 15 01:04:27 the-tech dovecot: imap-login: Aborted login: method=GSSAPI,
rip=18.181.0.51, lip=18.187.1.155, TLS
May 15 01:04:34 the-tech dovecot: auth(default): gssapi(?,18.181.0.51): Invalid
response length
May 15 01:04:36 the-tech dovecot: imap-login: Aborted login: method=GSSAPI,
rip=18.181.0.51, lip=18.187.1.155, TLS
May 15 01:04:41 the-tech dovecot: imap-login: Login: user=<rram>, method=GSSAPI,
rip=18.181.0.51, lip=18.187.1.155, TLS
May 15 01:04:43 the-tech dovecot: IMAP(rram): Disconnected: Logged out

- -- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIK8b3HvL19f6xTLsRAlKvAJ9m62D2M9YPp2zMUYhjdcGrdkNbyQCeMHYh
5Ncnj+AxJSMvarSesak5NeY=
=yXJa
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#448499; Package cyrus-clients-2.3. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 448499@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 448499@bugs.debian.org
Subject: More information on imtest failure with GSSAPI
Date: Sun, 25 May 2008 15:31:00 +0000
[Message part 1 (text/plain, inline)]
I've done some research, and I believe that my credentials will not be
exposed by providing you with the entire transcript, so here it is.

Note that if you or some other DD wants an account on this machine for
testing, I am happy to provide one.

lakeview ok % imtest -m GSSAPI castro
S: * OK Dovecot ready.
C: C01 CAPABILITY
S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS STARTTLS LOGINDISABLED AUTH=GSSAPI
S: C01 OK Capability completed.
C: A01 AUTHENTICATE GSSAPI YIICTgYJKoZIhvcSAQICAQBuggI9MIICOaADAgEFoQMCAQ6iBwMFACAAAACjggFNYYIBSTCCAUWgAwIBBaEZGxdDUlVTVFlUT09USFBBU1RFLkFUSC5DWKIxMC+gAwIBA6EoMCYbBGltYXAbHmNhc3Ryby5jcnVzdHl0b290aHBhc3RlLmF0aC5jeKOB7zCB7KADAgEQoQMCAQWigd8EgdyyX5OpU9AUEdX1b+JAnm3te3jM8dV60tjKOLH/5e8/sdr0VNGa6bExGGTqfC2hP5OnSl250VVY2iZqO+ZgqQyDXw8CL5n1ea0FN+YZ610Rq9nP/vEzhWPKQqyyFAebmZIgWRJ9VOwHjx6Svdd/vJzCikYTqz8erpO781t/7TdWOl1csvrVhE7wt9HrzCcdUJZlnUVaGFvky6cPw5CqqcXYj8uW/Ro67naEsOjvd9hLPN+beYyWqEO+uaQYrvYkijRyoCY+FtVERTWfkLkNe/RolC4vJkHzU1tF/s6MpIHSMIHPoAMCARCigccEgcQeRGbGoPy9AOEcF2+2KvIdVvCWw6ktLRVGoKZD8HGxILWDuNuEg2PmIbJ4Z8TUn9dq88c2NrxzSfloq/IbCR4wtzUT244zpAS+Cr5oESpCDgAl9HLDzQ5DjAPMID4gRoNZxJP10RuRgxDSasjjprVr45A5C4GI5XNhFSaZS5FgdUwUKZlQMrB0OR/sBSBSbo3eko2NNE4+wy0m58VX+9nUoawJYEfjA/zdDP9SfjedZX1QFKd9i6zrkX1GodX6kBHasB2h
S: + YIGWBgkqhkiG9xIBAgICAG+BhjCBg6ADAgEFoQMCAQ+idzB1oAMCARCibgRsFd6lzfxe5HvfIhdLcjiA4uZtdapJ0xFwC9lqFdQ3JZspANp498Bl/KsTI0U8gwMYC1xTJpk7LWyVyyjka5nHWTeUEmfaZyxrYDCEOCTBw+HJBnM0cHXGboe/MREsr5RCbcgC1j9yMPaGlGCw
C: 
S: + YD8GCSqGSIb3EgECAgIBBAD/////TfqlefthD6+ADN0HD8qtGGCSCg3qAKfCqY0bQgtFy8yI+DaTAf///wQEBAQ=
C: YD8GCSqGSIb3EgECAgIBBAD/////pKb0kyqkzWzIB8maevkWdJ2Wl0yxBeGRXnh/f3Ssw8hApPG/AQAEAAQEBAQ=
S: A01 NO Authentication failed.
Authentication failed. generic failure
Security strength factor: 0
* LOGOUT
* BYE Logging out
* OK Logout completed.
Connection closed.

lakeview ok % imtest -m GSSAPI -a bmc castro
S: * OK Dovecot ready.
C: C01 CAPABILITY
S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS STARTTLS LOGINDISABLED AUTH=GSSAPI
S: C01 OK Capability completed.
C: A01 AUTHENTICATE GSSAPI YIICTgYJKoZIhvcSAQICAQBuggI9MIICOaADAgEFoQMCAQ6iBwMFACAAAACjggFNYYIBSTCCAUWgAwIBBaEZGxdDUlVTVFlUT09USFBBU1RFLkFUSC5DWKIxMC+gAwIBA6EoMCYbBGltYXAbHmNhc3Ryby5jcnVzdHl0b290aHBhc3RlLmF0aC5jeKOB7zCB7KADAgEQoQMCAQWigd8EgdyyX5OpU9AUEdX1b+JAnm3te3jM8dV60tjKOLH/5e8/sdr0VNGa6bExGGTqfC2hP5OnSl250VVY2iZqO+ZgqQyDXw8CL5n1ea0FN+YZ610Rq9nP/vEzhWPKQqyyFAebmZIgWRJ9VOwHjx6Svdd/vJzCikYTqz8erpO781t/7TdWOl1csvrVhE7wt9HrzCcdUJZlnUVaGFvky6cPw5CqqcXYj8uW/Ro67naEsOjvd9hLPN+beYyWqEO+uaQYrvYkijRyoCY+FtVERTWfkLkNe/RolC4vJkHzU1tF/s6MpIHSMIHPoAMCARCigccEgcRewIWdeoSGOqI8sNrbQs3zXlBKZ94Fddg6T4FdQe00A8R8ylx3U/ec2PDYLvXIcNfDOtr8fuEpWDVNCB0FueGSSKq58lEcCrmd/VPJlJphmWTmafZSwJUlocUMdEwvNpGTpOo6d5L+XlVYe4Mt+VQ5363KHt4xH6FivMH4J7ydpcOxA5nBiJtmFzQNbHSWsYR0p0lveCXScV/Hvgft/LRBrTwPvz3fO3LLJCFHyJdGIcOzr6tJDZAEJT+7ASlizy6YZLtM
S: + YIGWBgkqhkiG9xIBAgICAG+BhjCBg6ADAgEFoQMCAQ+idzB1oAMCARCibgRsCX7I4LpWujSypWEOl9pQ9JOx+iCZh5Y1h7W2R7PICuq0Yevj3bxEJ7cFOz0PxAgJwwJgixgJ6R+gom4FrqYyiL9BAZKPkgeOQS291eZZurcOZ+PgZ4S+SJpL81LuEw79Y+EcQDx3fv9OoBBY
C: 
S: + YD8GCSqGSIb3EgECAgIBBAD/////kMMLUyCw+Q8JRqJ8TX8tIHXHmL/8BgzP3Wad7Cp7D2nO6l5eAf///wQEBAQ=
C: YD8GCSqGSIb3EgECAgIBBAD/////1w3kFMrUypYv/3+ZkteCnOdXr5dnJsxmBKrkgTrEz677pKLtAQAEAAQEBAQ=
S: A01 NO Authentication failed.
Authentication failed. generic failure
Security strength factor: 0
* LOGOUT
* BYE Logging out
* OK Logout completed.
Connection closed.

lakeview ok % imtest -m GSSAPI -u bmc castro
S: * OK Dovecot ready.
C: C01 CAPABILITY
S: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS STARTTLS LOGINDISABLED AUTH=GSSAPI
S: C01 OK Capability completed.
C: A01 AUTHENTICATE GSSAPI YIICTgYJKoZIhvcSAQICAQBuggI9MIICOaADAgEFoQMCAQ6iBwMFACAAAACjggFNYYIBSTCCAUWgAwIBBaEZGxdDUlVTVFlUT09USFBBU1RFLkFUSC5DWKIxMC+gAwIBA6EoMCYbBGltYXAbHmNhc3Ryby5jcnVzdHl0b290aHBhc3RlLmF0aC5jeKOB7zCB7KADAgEQoQMCAQWigd8EgdyyX5OpU9AUEdX1b+JAnm3te3jM8dV60tjKOLH/5e8/sdr0VNGa6bExGGTqfC2hP5OnSl250VVY2iZqO+ZgqQyDXw8CL5n1ea0FN+YZ610Rq9nP/vEzhWPKQqyyFAebmZIgWRJ9VOwHjx6Svdd/vJzCikYTqz8erpO781t/7TdWOl1csvrVhE7wt9HrzCcdUJZlnUVaGFvky6cPw5CqqcXYj8uW/Ro67naEsOjvd9hLPN+beYyWqEO+uaQYrvYkijRyoCY+FtVERTWfkLkNe/RolC4vJkHzU1tF/s6MpIHSMIHPoAMCARCigccEgcQ+Klil1af4V/Ox97ykdNC+FJQLuDesSetnprLUuY3zZBbNp/uPbCNiQaFZcMqPqzgk90c7q6G9s518AFZpshssb8QL2hnfsMMld7C9iV+HUcG0cwdqvsgqEKFyHkIX+CTnmChue1fqAU7ezExYWKT25VYq2s5T+6Ia/kYX9rFzv57uVxtSw4hAIrA0Xs69Ca+egQV9goLOysEACBqmkTSnCbPxShog0p6umwjp9qGNHvsCBaD3fjdwdr3bcbtQrp97J6CG
S: + YIGWBgkqhkiG9xIBAgICAG+BhjCBg6ADAgEFoQMCAQ+idzB1oAMCARCibgRs6sr7WfOKd9DRB2h5cim+08zNllPCUDP5hnrvq7Nil0+5yiHS+61muabAIIyxiJWFZZKvpVpuFMcOiKRwl9UOHEaY44cLpjmvE22G4LwUFwcKvxrJ968YSZAx5u1wI7gF7VL5o5YwpXCJ+EwJ
C: 
S: + YD8GCSqGSIb3EgECAgIBBAD/////Cg6u2xoU8m9ct82wiY/TpYNLFc9cSbh7BpweLXAp4waEbmsxAf///wQEBAQ=
C: YD8GCSqGSIb3EgECAgIBBAD/////D4S/khBW9styD4jmLfpOoiVw0LgD2dNBn4g0xwXzBkYh1K62AQAEAGJtYwE=
S: A01 OK Logged in.
Authenticated.
Security strength factor: 0
* LOGOUT
* BYE Logging out
* OK Logout completed.
Connection closed.


-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Bug 448499 cloned as bug 604410. Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Mon, 22 Nov 2010 00:15:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'cyrus-clients-2.3' to 'cyrus-clients-2.2'. Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Mon, 22 Nov 2010 00:15:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.2 and cyrus-imapd-2.3/2.3.8-1. Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Mon, 22 Nov 2010 00:15:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:52:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:36:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.